List identity providers

GET https://api.ap1.datadoghq.com/api/v2/identity_providershttps://api.ap2.datadoghq.com/api/v2/identity_providershttps://api.datadoghq.eu/api/v2/identity_providershttps://api.ddog-gov.com/api/v2/identity_providershttps://api.us2.ddog-gov.com/api/v2/identity_providershttps://api.uk1.datadoghq.com/api/v2/identity_providershttps://api.datadoghq.com/api/v2/identity_providershttps://api.us3.datadoghq.com/api/v2/identity_providershttps://api.us5.datadoghq.com/api/v2/identity_providers

Información general

Get all identity providers available for the current organization. This endpoint requires any of the following permissions:

  • org_management
  • user_access_manage

  • OAuth apps require the org_management authorization scope to access this endpoint.

    Respuesta

    OK

    Response containing a list of identity providers for an organization.

    Expand All

    Campo

    Tipo

    Descripción

    data [required]

    [object]

    List of organization identity provider data objects.

    attributes [required]

    object

    Attributes of an organization identity provider.

    authentication_method [required]

    string

    The authentication method used by this identity provider.

    enabled [required]

    boolean

    Whether this identity provider is enabled for the organization.

    id [required]

    string

    The unique identifier of the identity provider.

    type [required]

    enum

    The resource type for identity providers. Allowed enum values: identity_providers

    {
      "data": [
        {
          "attributes": {
            "authentication_method": "SAML",
            "enabled": true
          },
          "id": "00000000-0000-0000-0000-000000000001",
          "type": "identity_providers"
        }
      ]
    }

    Authentication error

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Too many requests

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Ejemplo de código

                      # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/identity_providers" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
    """
    List identity providers returns "OK" response
    """
    
    from datadog_api_client import ApiClient, Configuration
    from datadog_api_client.v2.api.identity_providers_api import IdentityProvidersApi
    
    configuration = Configuration()
    with ApiClient(configuration) as api_client:
        api_instance = IdentityProvidersApi(api_client)
        response = api_instance.list_identity_providers()
    
        print(response)
    

    Instructions

    First install the library and its dependencies and then save the example to example.py and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
    # List identity providers returns "OK" response
    
    require "datadog_api_client"
    api_instance = DatadogAPIClient::V2::IdentityProvidersAPI.new
    p api_instance.list_identity_providers()
    

    Instructions

    First install the library and its dependencies and then save the example to example.rb and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
    // List identity providers returns "OK" response
    
    package main
    
    import (
    	"context"
    	"encoding/json"
    	"fmt"
    	"os"
    
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
    )
    
    func main() {
    	ctx := datadog.NewDefaultContext(context.Background())
    	configuration := datadog.NewConfiguration()
    	apiClient := datadog.NewAPIClient(configuration)
    	api := datadogV2.NewIdentityProvidersApi(apiClient)
    	resp, r, err := api.ListIdentityProviders(ctx)
    
    	if err != nil {
    		fmt.Fprintf(os.Stderr, "Error when calling `IdentityProvidersApi.ListIdentityProviders`: %v\n", err)
    		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    	}
    
    	responseContent, _ := json.MarshalIndent(resp, "", "  ")
    	fmt.Fprintf(os.Stdout, "Response from `IdentityProvidersApi.ListIdentityProviders`:\n%s\n", responseContent)
    }
    

    Instructions

    First install the library and its dependencies and then save the example to main.go and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
    // List identity providers returns "OK" response
    
    import com.datadog.api.client.ApiClient;
    import com.datadog.api.client.ApiException;
    import com.datadog.api.client.v2.api.IdentityProvidersApi;
    import com.datadog.api.client.v2.model.IdentityProvidersResponse;
    
    public class Example {
      public static void main(String[] args) {
        ApiClient defaultClient = ApiClient.getDefaultApiClient();
        IdentityProvidersApi apiInstance = new IdentityProvidersApi(defaultClient);
    
        try {
          IdentityProvidersResponse result = apiInstance.listIdentityProviders();
          System.out.println(result);
        } catch (ApiException e) {
          System.err.println("Exception when calling IdentityProvidersApi#listIdentityProviders");
          System.err.println("Status code: " + e.getCode());
          System.err.println("Reason: " + e.getResponseBody());
          System.err.println("Response headers: " + e.getResponseHeaders());
          e.printStackTrace();
        }
      }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to Example.java and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
    // List identity providers returns "OK" response
    use datadog_api_client::datadog;
    use datadog_api_client::datadogV2::api_identity_providers::IdentityProvidersAPI;
    
    #[tokio::main]
    async fn main() {
        let configuration = datadog::Configuration::new();
        let api = IdentityProvidersAPI::with_config(configuration);
        let resp = api.list_identity_providers().await;
        if let Ok(value) = resp {
            println!("{:#?}", value);
        } else {
            println!("{:#?}", resp.unwrap_err());
        }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to src/main.rs and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
    /**
     * List identity providers returns "OK" response
     */
    
    import { client, v2 } from "@datadog/datadog-api-client";
    
    const configuration = client.createConfiguration();
    const apiInstance = new v2.IdentityProvidersApi(configuration);
    
    apiInstance
      .listIdentityProviders()
      .then((data: v2.IdentityProvidersResponse) => {
        console.log(
          "API called successfully. Returned data: " + JSON.stringify(data)
        );
      })
      .catch((error: any) => console.error(error));
    

    Instructions

    First install the library and its dependencies and then save the example to example.ts and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"